package login

import (
	"go_dreamfactory/comm"
	"go_dreamfactory/modules"

	"github.com/liwei1dao/lego/core"
)

func NewModule() core.IModule {
	m := new(Login)
	return m
}

type Login struct {
	modules.ModuleBase
	user_comp *LoginComp
}

func (this *Login) GetType() core.M_Modules {
	return comm.SM_LoginModule
}

func (this *Login) OnInstallComp() {
	this.ModuleBase.OnInstallComp()
	this.user_comp = this.RegisterComp(new(LoginComp)).(*LoginComp)
}
